Commit ca677395 authored by skamann's avatar skamann
Browse files

Updated MAOPPY integration to be compatible with v1.5.

parent 16a1bc9e
......@@ -28,7 +28,7 @@ class pampelmuse.core.psf.profiles.Maoppy
Latest Git revision
-------------------
2021/03/29
2022/03/30
"""
import importlib.util
import io
......@@ -40,7 +40,8 @@ from scipy.interpolate import RectBivariateSpline, InterpolatedUnivariateSpline,
from .profile import Profile, FitResult
if importlib.util.find_spec('maoppy') is not None:
from maoppy.psfmodel import Psfao, psffit, oversample
from maoppy.psfmodel import Psfao, oversample
from maoppy.psffit import psffit
from maoppy.instrument import muse_nfm
from maoppy.utils import circavgplt
else:
......@@ -48,7 +49,7 @@ else:
__author__ = "Sebastian Kamann (s.kamann@ljmu.ac.uk)"
__revision__ = 20210329
__revision__ = 20220330
logger = logging.getLogger(__name__)
......
......@@ -12,5 +12,5 @@ setup(
scripts=['bin/PampelMuse', ],
package_data={'pampelmuse.config': ['data/pampelmuse.json', ], 'pampelmuse.filters': ['data/*', ]},
install_requires=['numpy', 'scipy', 'astropy', 'matplotlib', 'pandas>1.0,<1.3', 'PyQt5', 'tqdm'],
extras_require={'nfm': 'maoppy>=1.4.0'}
extras_require={'nfm': 'maoppy>=1.5.0'}
)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment